Name:           at-spi2-core
Version:        2.0.2
Release:        %mkrel 1
Summary:        Protocol definitions and daemon for D-Bus at-spi
Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  dbus-devel
BuildRequires:  glib2-devel
BuildRequires:	libx11-devel
BuildRequires:	libxtst-devel
BuildRequires:	libxevie-devel
BuildRequires:	intltool
BuildRequires:	gobject-introspection-devel
Requires:       dbus

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

%define major 0
%define libname %mklibname atspi %major

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Requires:	%name = %version

%description -n %{libname}
This package contains libraries used by %{name}.

%define libnamedev %mklibname -d atspi
%package -n %{libnamedev}
Summary:	Libraries and include files with %{name}
Group:		Development/GNOME and GTK+
Requires:	%name = %{version}
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package provides the necessary development libraries and include 
files to allow you to develop with %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%dir %_sysconfdir/at-spi2/
%config(noreplace) %_sysconfdir/at-spi2/accessibility.conf
%_sysconfdir/xdg/autostart/at-spi-dbus-bus.desktop
%{_libexecdir}/at-spi2-registryd
%{_libexecdir}/at-spi-bus-launcher
%{_datadir}/dbus-1/services/org.*.service

%files -n %libname
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*
%{_libdir}/girepository-1.0/Atspi-2.0.typelib

%files -n %libnamedev
%defattr(-,root,root,-)
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*.pc
%_includedir/*
%_datadir/gir-1.0/Atspi-2.0.gir
%_datadir/gtk-doc/html/libatspi


%changelog
* Tue May 24 2011 Götz Waschk <waschk@mandriva.org> 2.0.2-1mdv2011.0
+ Revision: 678052
- update to new version 2.0.2

* Tue Apr 26 2011 Funda Wang <fwang@mandriva.org> 2.0.1-1
+ Revision: 659142
- update to new version 2.0.1

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 2.0.0-1
+ Revision: 650439
- new version 2.0.0

* Tue Nov 16 2010 Götz Waschk <waschk@mandriva.org> 0.4.1-1mdv2011.0
+ Revision: 597921
- update to new version 0.4.1

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2011.0
+ Revision: 581615
- update to new version 0.4.0

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 0.3.92-1mdv2011.0
+ Revision: 578144
- update to new version 0.3.92

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 0.3.91-1mdv2011.0
+ Revision: 574617
- new version
- update file list

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 0.3.90-1mdv2011.0
+ Revision: 570822
- update to new version 0.3.90
- fix source URL

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdv2011.0
+ Revision: 563123
- new version

* Wed Mar 31 2010 Götz Waschk <waschk@mandriva.org> 0.1.8-1mdv2010.1
+ Revision: 530226
- update to new version 0.1.8

* Fri Feb 19 2010 Götz Waschk <waschk@mandriva.org> 0.1.7-1mdv2010.1
+ Revision: 508298
- new version
- update file list

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 0.1.6-1mdv2010.1
+ Revision: 502688
- new version
- update file list

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdv2010.1
+ Revision: 489820
- update to new version 0.1.5

* Mon Dec 28 2009 Frederic Crozat <fcrozat@mandriva.com> 0.1.4-1mdv2010.1
+ Revision: 483107
- import at-spi2-core


